<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: preface.mod.xsl,v 1.4 2001/05/09 18:53:34 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<doc:template name="preface" id="unsupported" xmlns="">
  <refpurpose>command tag</refpurpose>
  <refdescription>
    <para>This element is copied as SGML, since it must be displayed as a block.
    </para>
  </refdescription>
</doc:template>

<xsl:template match="preface">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="preface/title"></xsl:template>
<xsl:template match="preface/titleabbrev"></xsl:template>
<xsl:template match="preface/subtitle"></xsl:template>
<xsl:template match="preface/docinfo|prefaceinfo"></xsl:template>


<xsl:template match="preface/sect1">
<xsl:text>&#10;\section*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="preface/sect1/sect2">
<xsl:text>&#10;\subsection*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="preface/sect1/sect2/sect3">
<xsl:text>&#10;\subsubsection*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>


</xsl:stylesheet>

