<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: authorgroup.mod.xsl,v 1.4 2001/05/09 18:53:34 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: Manage Authorgroups 
 + ############################################################################ -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>

<doc:template name="authorgroup" id="unsupported" xmlns="">
  <refpurpose>Authorgroup Element</refpurpose>
  <refdescription>
    <para>This elements is copied as SGML Style, even if a new layout style
    could be added to support the element. The new layout style could look like:
    </para>
<programlisting>
# Authorgroup
Style Authorgroup
  CopyStyle             Author
  LatexType             Environment
  LatexName             authorgroup
  LatexParam            author
End
</programlisting>
  </refdescription>
</doc:template>

<xsl:template match="authorgroup">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="authorinitials">
<xsl:apply-templates/>
<xsl:value-of select="$biblioentry.item.separator"/>
</xsl:template>

</xsl:stylesheet>
