<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |   $Id: table.mod.xsl,v 1.1 2001/10/14 20:18:32 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE:
 + ############################################################################
-->

<xsl:template match="table">
<xsl:text>\begin_inset Float table&#10;</xsl:text>
<xsl:text>placement htbp&#10;</xsl:text>
<xsl:text>wide false&#10;</xsl:text>
<xsl:text>collapsed false&#10;</xsl:text>
<xsl:if test="tgroup">
  \layout Standard
</xsl:if>
<xsl:apply-templates select="tgroup"/>
<xsl:text>&#10;\layout Caption&#10;</xsl:text>
<xsl:choose>
  <xsl:when test="title">
    <xsl:apply-templates select="title"/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:text>***Warning: Please, add a title to figures</xsl:text>
  </xsl:otherwise>
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:text>\end_inset&#10;&#10;</xsl:text>
</xsl:template>


</xsl:stylesheet>
